%define	perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)

Summary:	An IRC chat program
Name:		hexchat
Version:	2.9.6.1
Release:	%mkrel 3
Group:		Networking/IRC
License:	GPLv2
Url:		http://hexchat.github.io
Source0:	http://dl.hexchat.net/%{name}/%{name}-%{version}.tar.xz
Patch0:		hexchat-servlist.patch
Patch1:		hexchat-pci.ids-path.patch

BuildRequires:	bison
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libsexy)
BuildRequires:	gettext-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libproxy-1.0)

# To get the balloon alerts working
Requires:	libnotify

Obsoletes:	%{name}-sasl

%description
HexChat is an IRC chat program. It allows you to join multiple IRC
channels (chat rooms) at the same time, talk publicly, private
one-on-one conversations etc.

HexChat is based on XChat, but unlike XChat it's completely free
for both Windows and Unix-like systems.

%package	devel
Summary:	HexChat header for plugin development
Group:		Development/C
Conflicts:	xchat-devel

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package	perl
Summary:	HexChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	perl-base = %{perl_version}

%description perl
Provides Perl scripting capability to HexChat.

%package	python
Summary:	HexChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description python
Provides Python scripting capability to HexChat.

%package	checksum
Summary:	HexChat Checksum plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description checksum
Calculates checksum for DCC file transfers.

%package	doat
Summary:	HexChat Do At plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description doat
Performs an arbitrary command on multiple channels.

%package	fishlim
Summary:	HexChat FiSHLiM plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description fishlim
FiSHLiM is an HexChat plugin for FiSH IRC encryption.

%package	sysinfo
Summary:	SysInfo plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description	sysinfo
Display info about your hardware and OS.


%prep
%setup -q
%patch0 -p1 -b .servlist
%patch1 -p1 -b .pciids

%build
./autogen.sh

%configure2_5x  \
	--enable-openssl \
	--enable-shm

%make


%install
# Remove COPYING
rm -f share/doc/COPYING

%makeinstall_std

%find_lang %{name}

# Add SVG for hicolor
%{__install} -D -m644 share/icons/hexchat.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/hexchat.svg

desktop-file-install \
  --add-category="GTK" \
  --add-category="IRCClient" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_includedir}
cp src/common/hexchat-plugin.h %{buildroot}%{_includedir}/

rm -rf %{buildroot}%{_libdir}/%{name}/plugins/*.la


%preun 
%preun_uninstall_gconf_schemas apps_hexchat_url_handler


%files -f %{name}.lang
%doc share/doc/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.%{name}.service.service
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/%{name}-plugin.h
%{_libdir}/pkgconfig/%{name}-plugin.pc

%files perl
%{_libdir}/%{name}/plugins/perl.so

%files python
%{_libdir}/%{name}/plugins/python.so

%files checksum
%{_libdir}/%{name}/plugins/checksum.so

%files doat
%{_libdir}/%{name}/plugins/doat.so

%files fishlim
%{_libdir}/%{name}/plugins/fishlim.so

%files sysinfo
%{_libdir}/%{name}/plugins/sysinfo.so


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.9.6.1-3.mga4
+ Revision: 536955
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 colin <colin> 2.9.6.1-2.mga4
+ Revision: 486020
- Enable libcanberra and libproxy support

* Tue Sep 24 2013 sander85 <sander85> 2.9.6.1-1.mga4
+ Revision: 485588
- New version: 2.9.6.1

* Thu Sep 12 2013 sander85 <sander85> 2.9.6-1.mga4
+ Revision: 478112
- New version: 2.9.6
- Rediff patches

* Fri Aug 23 2013 sander85 <sander85> 2.9.5-3.mga4
+ Revision: 470076
- Rebuild for new perl

* Wed May 29 2013 fwang <fwang> 2.9.5-2.mga4
+ Revision: 430392
- rebuild for new perl

* Tue Apr 02 2013 sander85 <sander85> 2.9.5-1.mga3
+ Revision: 407300
- New version: 2.9.5

* Mon Mar 18 2013 fwang <fwang> 2.9.4-5.mga3
+ Revision: 403718
- rebuild for new perl

* Tue Jan 29 2013 sander85 <sander85> 2.9.4-4.mga3
+ Revision: 393184
- Fix pci.ids path

* Tue Jan 29 2013 sander85 <sander85> 2.9.4-3.mga3
+ Revision: 393175
- Add SysInfo plugin (mga#8882)

* Sat Jan 12 2013 umeabot <umeabot> 2.9.4-2.mga3
+ Revision: 353181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 sander85 <sander85> 2.9.4-1.mga3
+ Revision: 336291
- New version: 2.9.4

* Wed Nov 07 2012 fwang <fwang> 2.9.3-2.mga3
+ Revision: 315719
- rebuild for new perl

* Mon Oct 22 2012 sander85 <sander85> 2.9.3-1.mga3
+ Revision: 309278
- New version: 2.9.3

* Tue Aug 28 2012 sander85 <sander85> 2.9.1-1.mga3
+ Revision: 284762
- Make #mageia default
- imported package hexchat

